#window.Nette.addError = (elem, message) ->
#    elem.focus() if elem.focus
#
#    if message
#        elem.setCustomValidity(message)
#        elem.valid = 0
#        elem.checkValidity()

$ ->
    $('form:not(.nofocus):first input:first').focus()

    create_addon = (input) ->
        group = $('<div class="input-group">').insertBefore(input)
        $(input).remove().appendTo(group)
        $('<div class="input-group-addon">').appendTo(group)

    $('input[type=range]').each ->
        create_addon(@)
        $(@).on 'change input', ->
            $(@).next('.input-group-addon').text($(@).val())
        $(@).change()

    $('input[type^=date]').each ->
        create_addon(@)
            .html('<span class="glyphicon glyphicon-calendar"></span>')
            .on 'click', -> $(@).prev('input').focus()

    $('input[type=number]').on('focus', -> $(@).select())

    $('input[type=radio][data-inline]').each ->
        group = $('<label class="radio-inline">')
            .append($(@).parent('label').html())
        $(@).closest('.radio').replaceWith(group)

    if /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)
        $('abbr').on 'click', ->
            alert($(@).attr('title'))

    $('tr').on 'click', ->
        href = $(this).data('href')
        document.location = href if href?

    $('select[multiple]').addClass('form-control')

    $('.tags-control').each ->
        container = $(@)
        tag_list = container.children('.tags')
        text_input = container.find('input[type=text]')
        submit_btn =  text_input.next().find('.btn')

        generate_inputs = ->
            container.children('input[type=hidden]').remove()
            container.find('.tag .text').each ->
                $('<input type="hidden" name="tags[]">')
                    .appendTo(container)
                    .val($(@).text())

        submit_tag = ->
            tag = text_input.val().trim()

            if tag == ''
                return

            text_input.val('')

            link = $('<a href="javascript:void(0)" class="tag"
                         title="Click to remove tag">').appendTo(tag_list)
            $('<span class="label label-default">')
                .append($('<span class="text">').text(tag))
                .append(' ')
                .append($('<span class="glyphicon glyphicon-remove">'))
                .appendTo(link)

            generate_inputs()
            text_input.focus()

        text_input.on 'keydown', (e) ->
            if e.which == 13
                e.preventDefault()
                submit_tag()

        submit_btn.on 'click', submit_tag

        container.on 'click', '.tag', ->
            $(@).remove()
            generate_inputs()
